<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ooow="http://openoffice.org/2004/writer" xmlns:dom="http://www.w3.org/2001/xml-events" xmlns:meta="urn:oasis:names:tc:opendocument:xmlns:meta:1.0" xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0" xmlns:of="scpf.org:office" xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0" xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0" xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" xmlns:sl="http://www.utc.fr/ics/scenari/v3/library" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:ooo="http://openoffice.org/2004/office" xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0" xmlns:form="urn:oasis:names:tc:opendocument:xmlns:form:1.0" xmlns:xforms="http://www.w3.org/2002/xforms" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:number="urn:oasis:names:tc:opendocument:xmlns:datastyle:1.0" xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0" xmlns:script="urn:oasis:names:tc:opendocument:xmlns:script:1.0" xmlns:math="http://www.w3.org/1998/Math/MathML" xmlns:dr3d="urn:oasis:names:tc:opendocument:xmlns:dr3d:1.0" xmlns:presentation="urn:oasis:names:tc:opendocument:xmlns:presentation:1.0" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:chart="urn:oasis:names:tc:opendocument:xmlns:chart:1.0" xmlns:java="http://xml.apache.org/xslt/java" xmlns:oooc="http://openoffice.org/2004/calc" xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0" xmlns:xalan="http://xml.apache.org/xalan" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" exclude-result-prefixes="ooow dom meta draw of style fo sl dc office ooo text sp form svg xforms sc number table script math dr3d presentation xlink xsd chart java oooc scodPp xalan xsi " >
<xsl:output xmlns:xsl="http://www.w3.org/1999/XSL/Transform" method="xml" indent="no" omit-xml-declaration="yes"/><xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vAgent"/><xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vDialog"/><xsl:variable xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="idRootAgt" select="getIdNode(ancestor-or-self::of:paper[1])"/><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:paper"><xsl:choose><xsl:when test="checkNoCycleAgent()">
		<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('@', switchAxis(codeAgent('//'), 'meta'), '/getContent'))"/>
		<xsl:apply-templates mode="N10"/>
	</xsl:when><xsl:otherwise/></xsl:choose></xsl:template><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="*" mode="N10"/><!--# pre--><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sp:pre" mode="N10"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
				<xsl:choose>
					<xsl:when test="resultatAgent('//cond_fjRtrMk6LYcegMEzhrpN7', .)"><xsl:comment># sm:WParagraph</xsl:comment><scodPp:ifNotNull xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0"><xsl:element name="text:p"><xsl:attribute name="text:style-name"><xsl:value-of select="returnFirst(getEntryBuffer('odStyleBlocks', '_globalsStyles_prePart')/@text:style-name, getEntryBuffer('odStyleBlocks', 'odTemplateText_#defaultStyle')/text:p/@text:style-name)"/></xsl:attribute>
							<xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat($vContentAgt, '', '/fullTitleText'))))&gt;0"><xsl:value-of select="resultatAgent(concat($vContentAgt, '', '/fullTitleText'))" disable-output-escaping="yes"/></xsl:when><xsl:when test="boolean('true')">Introduction</xsl:when><xsl:when test="boolean('true')"/></xsl:choose>
						</xsl:element></scodPp:ifNotNull><xsl:variable name="vContentAgtN22" select="concat($vContentAgt, '')"/><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vContentAgtN22, '/getContent'))"/></xsl:when>
				</xsl:choose>
			</xsl:template><!--# chap--><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sp:chap" mode="N10"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
				<xsl:choose>
					<xsl:when test="resultatAgent('//cond_fjRtrMk6LYcegMEzhrpN7', .)"><scodPp:condition xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0" xpath="*/scodPp:content/*"><scodPp:section><scodPp:title><xsl:variable name="dynStrN33"><xsl:value-of select="concat('Chapitre ', count(preceding-sibling::sp:chap[not(of:filter/sp:exclude[text()='paper'])])+1)"/></xsl:variable><xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat($vContentAgt, '', '/fullTitleText'))))&gt;0"><xsl:value-of select="resultatAgent(concat($vContentAgt, '', '/fullTitleText'))" disable-output-escaping="yes"/></xsl:when><xsl:when test="string-length(normalize-space($dynStrN33))&gt;0"><xsl:value-of select="$dynStrN33"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose></scodPp:title><scodPp:content><xsl:variable name="vContentAgtN39" select="concat($vContentAgt, '')"/><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vContentAgtN39, '/getContent'))"/></scodPp:content></scodPp:section></scodPp:condition></xsl:when>
				</xsl:choose>
			</xsl:template><!--# post--><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sp:post" mode="N10"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
				<xsl:choose>
					<xsl:when test="resultatAgent('//cond_fjRtrMk6LYcegMEzhrpN7', .)"><scodPp:dataBlock xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0" category="ref" id="db_N45_{alphaHash(codeAgent('//'))}_{generate-id()}_{java:hIncreaseOne(getEntryBuffer('counters', 'datablock'))}"><xsl:variable name="vId"><xsl:variable name="vValue">
								<xsl:value-of select="concat('@', gotoSubModel())"/>
							</xsl:variable><xsl:value-of select="alphaHash($vValue)"/></xsl:variable><xsl:variable name="vSortKey">
								<xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat($vContentAgt, '', '/fullTitleText'))))&gt;0"><xsl:value-of select="resultatAgent(concat($vContentAgt, '', '/fullTitleText'))" disable-output-escaping="yes"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose>
							</xsl:variable><scodPp:id value="{normalize-space($vId)}"/><scodPp:overrideContentDeclaration/><scodPp:sortKey value="{normalize-space($vSortKey)}"/><scodPp:title>
								<xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat($vContentAgt, '', '/fullTitleText'))))&gt;0"><xsl:value-of select="resultatAgent(concat($vContentAgt, '', '/fullTitleText'))" disable-output-escaping="yes"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose>
							</scodPp:title><scodPp:data>
								<xsl:variable name="vContentAgtN5b" select="concat($vContentAgt, '_Aannexe')"/><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vContentAgtN5b, '/getContent'))"/>
							</scodPp:data></scodPp:dataBlock></xsl:when>
				</xsl:choose>
			</xsl:template><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="*"/></xsl:stylesheet>