<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:content="http://purl.org/rss/1.0/modules/content/" xmlns:of="scpf.org:office" exclude-result-prefixes="sc sp of">
	<xsl:output method="text" version="1.0" encoding="UTF-8" indent="no" omit-xml-declaration="yes"/>
	<xsl:param name="vDialog"/>
	<xsl:param name="vAgent"/>
	<xsl:template match="*">
		<xsl:variable name="vUrlPage" select="computeStrDialog('.', concat('lookFor:computeResultWithArguments=act:&amp;codeAgentPrinc=', escapeQueryString(codeAgent(concat('@', switchAxis(codeAgent('//'), 'nav'))))))"/>
		<xsl:variable name="vDate" select="of:postM/sp:date"/>
		<xsl:variable name="vDateFormat" select="getContent(gotoMeta(), 'date')"/>
		<xsl:variable name="vAuthor" select="of:postM/sp:author"/>
		<xsl:variable name="vTags">
			<xsl:for-each select="of:postM/sp:tags/sp:tag">
				<xsl:value-of select="concat(getFullTitleText(gotoSubModel(.)),if(count(following-sibling::sp:tag)&gt;0,' , ',''))"/>
			</xsl:for-each>
		</xsl:variable>{"url":"<xsl:value-of select="$vUrlPage"/>","title":"<xsl:value-of select="escapeJs(returnFirst(getFullTitleText(currentModel()),getShortTitleText(currentModel())))"/>","date":"<xsl:value-of select="$vDate"/>","dateStr":"<xsl:value-of select="escapeJs($vDateFormat)"/>","author":"<xsl:value-of select="escapeJs($vAuthor)"/>","tags":"<xsl:value-of select="escapeJs($vTags)"/>"}</xsl:template>
</xsl:stylesheet>