<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:java="http://xml.apache.org/xslt/java" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" exclude-result-prefixes="sc sp java">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes"/>
	<xsl:param name="vDialog"/>
	<xsl:param name="vAgent"/>
	<xsl:template match="*">
		<xsl:if test="//sp:tag">
			<xsl:value-of select="execute(initBuffer('tagList',java:java.util.HashSet.new()))"/>
			<meta name="tag-ids" content="{concatExpr(//sp:tag,if(setEntryBuffer('tagList',string(@sc:refUri)),concat('tag-',alphaHash(srcFields(resolveSrcPath(@sc:refUri), 'srcUri')),' '),''))}"/>
			<xsl:value-of select="execute(initBuffer('tagList'))"/>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>