<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:of="scpf.org:office" exclude-result-prefixes="sc sp">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="no" omit-xml-declaration="yes"/>
	<xsl:param name="vDialog"/>
	<xsl:param name="vAgent"/>
	<xsl:template match="*">
		<xsl:if test="of:optPiwikAnalyticsM/sp:id and string-length(of:optPiwikAnalyticsM/sp:id)&gt;0">
<statMgr type="pa">
	<script type="text/javascript">
		var _paq = _paq || [];
		_paq.push(["setDoNotTrack", true]);
		_paq.push(['trackPageView']);
		_paq.push(['enableLinkTracking']);
		_paq.push([function() {
			var self = this;
			function getOriginalVisitorCookieTimeout() {
				var now = new Date(),
				nowTs = Math.round(now.getTime() / 1000),
				visitorInfo = self.getVisitorInfo();
				var createTs = parseInt(visitorInfo[2]);
				var cookieTimeout = 33696000;
				var originalTimeout = createTs + cookieTimeout - nowTs;
				return originalTimeout;
			}
			this.setVisitorCookieTimeout(getOriginalVisitorCookieTimeout());
		}]);
		(function(){
			var u = (("https:" == document.location.protocol) ? "https://<xsl:value-of select="of:optPiwikAnalyticsM/sp:hostname"/>" : "http://<xsl:value-of select="of:optPiwikAnalyticsM/sp:hostname"/>");
			_paq.push(['setSiteId', <xsl:value-of select="of:optPiwikAnalyticsM/sp:id"/>]);
			_paq.push(['setTrackerUrl', u+'piwik.php']);
			var d=document, g=d.createElement('script'), s=d.getElementsByTagName('script')[0]; g.type='text/javascript';
			g.defer=true; g.async=true; g.src=u+'piwik.js'; s.parentNode.insertBefore(g,s); })();
	</script>
</statMgr>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>